diff --git a/ompi/mca/mtl/ofi/mtl_ofi_component.c b/ompi/mca/mtl/ofi/mtl_ofi_component.c
index b6004a751e3..e237f40dfbf 100644
--- a/ompi/mca/mtl/ofi/mtl_ofi_component.c
+++ b/ompi/mca/mtl/ofi/mtl_ofi_component.c
@@ -1,3 +1,4 @@
+/* -*- Mode: C; c-basic-offset:4 ; indent-tabs-mode:nil -*- */
 /*
  * Copyright (c) 2013-2014 Intel, Inc. All rights reserved
  *
@@ -161,7 +162,7 @@ ompi_mtl_ofi_component_init(bool enable_progress_threads,
      */
     domain_attr.threading        = FI_THREAD_ENDPOINT;
     domain_attr.control_progress = FI_PROGRESS_AUTO;
-    fabric_attr.prov_name        = ompi_mtl_ofi.provider_name;
+    fabric_attr.prov_name        = strdup(ompi_mtl_ofi.provider_name);
     hints.domain_attr            = &domain_attr;
     hints.fabric_attr            = &fabric_attr;
 
